Bug 149893 - Oops in smbd
Oops in smbd
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-02-28 12:33 EST by Joe Rhodes
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 21:07:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Oops from messages file. (2.69 KB, text/plain)
2005-02-28 12:34 EST, Joe Rhodes
no flags Details

  None (edit)
Description Joe Rhodes 2005-02-28 12:33:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6)
Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1.3.1

Description of problem:
System randomly locks up after running a anywhere from a few days to a
week.  When the system locks up, it usually responds to ping, but
nothing else.  A power reset is required to gain control of the system.

The system always reports  ' Unable to handle kernel NULL pointer
dereference at virtual address 0000000c' in method
rb_insert_color+0xa8/0xc1.  The process is always smbd.  This system
is setup as a samba print server.

I've  attached a section of the messages file with the oops.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Start samba.   Wait.    

Actual Results:  System eventually locks up.

Additional info:

Current Kernel and Samba version:
Comment 1 Joe Rhodes 2005-02-28 12:34:34 EST
Created attachment 111489 [details]
Oops from messages file.
Comment 2 Dave Jones 2005-07-15 14:52:45 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 21:07:02 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.